print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricepasta = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local pastaHudFile = "Paletten/hud_fill_pasta.dds"
	local pastaHudFileSmall = "Paletten/hud_fill_pasta_smal.dds"
	
    local pastaFilType = g_fillTypeManager:addFillType("PASTA", g_i18n:getText("pasta"), true, pricepasta * 2.2, 0.00045, math.rad(10), pastaHudFile, pastaHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local haspasta=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	haspasta=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "PASTA" then
		haspasta=true
	end;
		
end;

		if hasmaize and not haspasta then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("PASTA")
		local price = g_fillTypeManager:getFillTypeByName("PASTA").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("PASTA")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)